//go:build wireinject
// +build wireinject

// The build tag makes sure the stub is not built in the final build.

package main

import (
	"github.com/go-kratos/kratos/v2"
	"github.com/go-kratos/kratos/v2/log"
	"github.com/google/wire"
	"hilo/app/service/country/internal/conf"
	"hilo/app/service/country/internal/dao"
	"hilo/app/service/country/internal/handler"
	"hilo/app/service/country/internal/server"
	"hilo/app/service/country/internal/service"
)

// wireApp init kratos application.
func wireApp(*conf.Server, *conf.Data, *conf.Consul, log.Logger) (*kratos.App, func(), error) {
	panic(wire.Build(server.ProviderSet, dao.ProviderSet, service.ProviderSet, handler.ProviderSet, newApp))
}
