package service

import (
	"github.com/go-kratos/kratos/v2/log"
	"hilo/app/service/mgr/internal/dao"
	"hilo/app/service/mgr/internal/model"
)

// MgrService is a Mgr service.
type MgrService struct {
	dao *dao.Dao
	log *log.Helper
}

func (s *MgrService) CheckMgrImeiExist(imei string) (bool, error) {
	return s.dao.CheckMgrImeiExist(imei)
}

func (s *MgrService) CheckMgrIpExist(ip string) (bool, error) {
	return s.dao.CheckMgrIpExist(ip)
}

func (s *MgrService) GetMgrUserStatus(userId int64) (*model.MgrUserStatus, error) {
	return s.dao.GetMgrUserStatus(userId)
}

func (s *MgrService) IsAgent(userId int64) bool {
	data := model.AgentMgr{}
	return s.dao.DB.Where(&model.AgentMgr{UserId: userId}).First(&data).Error == nil
}

// NewMgrService new a Mgr service.
func NewMgrService(dao *dao.Dao) *MgrService {
	return &MgrService{
		dao: dao,
		log: log.NewHelper(log.GetLogger()),
	}
}
