package pkg

import (
	"context"
	uuid "github.com/satori/go.uuid"
	"hilo/app/service/user/internal/conf"
	_const "hilo/common/const"
	"strings"
)

func GetUUID() string {
	return strings.Replace(uuid.NewV4().String(), "-", "", -1)
}

// MakeFullUrl 补全url，区分处理oss和aws两种情况
func MakeFullUrl(url string) string {
	if strings.HasPrefix(url, conf.Conf.Oss.OssCdn) || strings.HasPrefix(url, conf.Conf.Aws.Cdn) {
		return url
	} else if strings.HasPrefix(url, "nextvideo/") {
		return conf.Conf.Oss.OssCdn + url
	} else if strings.HasPrefix(url, conf.Conf.Aws.Dir) {
		return conf.Conf.Aws.Cdn + url
	} else {
		return url
	}
}

func GetDeviceType(ctx context.Context) string {
	value, ok := ctx.Value(_const.DeviceType).(string)
	if !ok {
		return ""
	}
	return value
}
